// ===========================================================================
//	File:					CTriangleControl.h
// Version:			1.1.2 - May 23,1996
//	Author:			Mike Shields (mshields@inconnect.com)
//
//	Copyright 1994-1996 Mike Shields All rights reserved.
// ===========================================================================
//	CTriangleControl.cp		<- double-click + Command-D to see class definition
//
#pragma once

#include <LControl.h>

class CTriangleControl : public LControl
{
public:
	enum { class_ID = 'TriG' };
	static CTriangleControl*
						CreateFromStream(LStream *inStream);
						CTriangleControl(void);
						CTriangleControl(const CTriangleControl &inOriginal);
						CTriangleControl(const SPaneInfo &inPaneInfo, MessageT inValueMessage,
										Int32 inValue, Int32 inMinValue, Int32 inMaxValue);
						CTriangleControl(LStream *inStream);
	virtual				~CTriangleControl(void);
	
	virtual void		SetValue(Int32 inValue);
	
protected:
	virtual Int16		FindHotSpot(Point inPoint);
	virtual Boolean		PointInHotSpot(Point inPoint, Int16 inHotSpot);
	virtual void		HotSpotAction(Int16 inHotSpot, Boolean inCurrInside, Boolean inPrevInside);
	virtual void		HotSpotResult(Int16 inHotSpot);
	virtual void		DrawSelf(void);
	
private:
	PolyHandle			mTriangleToDraw;

	void 				InitTriangleControl(void);
	void				DrawTriangle(Boolean hilite);
};

